Bug 1574407 - notification background is incorrect in GNOME Classic
Summary: notification background is incorrect in GNOME Classic
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 08:40 UTC by Andrea Vai
Modified: 2018-11-30 21:46 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1461861
Environment:
Last Closed: 2018-11-30 21:46:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Andrea Vai 2018-05-03 08:40:00 UTC
+++ This bug was initially created as a clone of Bug #1461861 +++

[Cloning Bug #1461861 and assigning version 27 because it affects F27 and I cannot change version in Bug #1461861]

Description of problem:

Using GNOME Classic, the notification background looks incorrect and the foreground color is unreadable.

Steps to Reproduce:

1. Use adwaita default theme and GNOME Classic.
2. Launch any notification using notify-send hello

Actual results:

Black on black colors.

Expected results:

Something readable like in stock GNOME. Probably a CSS issue.

--- Additional comment from Jerome Marchand on 2017-07-19 17:32:38 CEST ---

Same issue with the message tray. The "Clear all" button at the bottom is totally illegible (the very same shade of light grey it seems). It's barely legible when the mouse hover the button (white on light grey). 

Gnome classic, fresh install.

--- Additional comment from Jerome Marchand on 2017-07-19 17:33 CEST ---



--- Additional comment from Jerome Marchand on 2017-07-24 15:06:55 CEST ---

In the mean time, is there a workaround? Can we set the color of notification somehow?

--- Additional comment from Jerome Marchand on 2017-07-26 14:48:34 CEST ---

(In reply to Jerome Marchand from comment #3)
> In the mean time, is there a workaround? Can we set the color of
> notification somehow?

This is is really annoying, so I dug a bit. I came to to following file:
/usr/share/gnome-shell/theme/gnome-classic.css

It contains a section for the notification banner:

.notification-banner {
  font-size: 11pt;
  width: 34em;
  margin: 5px;
  border-radius: 6px;
  color: #eeeeec;
  background-color: #2e3436;
  border: 1px solid #a1a1a1; }
  .notification-banner:hover {
    background-color: #2e3436; }
  .notification-banner:focus {
    background-color: #2e3436; }

See the dark background colors above. I don't know what determines the color of the text itself (currently black), so I made a custom theme that only redefines  the background with a lighter color and it seems to work.

--- Additional comment from Branislav Náter on 2017-10-14 10:53:20 CEST ---

Hi, this seems to be still issue. Any progress here?

--- Additional comment from Andrea Vai on 2017-11-15 11:55:20 CET ---

I am also experiencing this annoying bug, Gnome 3.24 on Fedora 26.

--- Additional comment from Branislav Náter on 2017-11-20 18:16:37 CET ---

And also with gnome-shell-3.26.2-1.fc27 on Fedora 27.

--- Additional comment from Jaša Bartelj on 2017-12-13 21:58:43 CET ---

Upstream issue:
https://bugzilla.gnome.org/show_bug.cgi?id=783826

Jerome Marchand, thank you for locating the CSS property. I'll modify it manually as the users I support are complaining.

--- Additional comment from Kodiak Firesmith on 2018-02-19 15:43:18 CET ---

It seems fairly absurd that this is still a problem in RHEL 7.  I'll submit a customer support request to see if they plan on fixing such an ugly UI problem on their flagship product.

--- Additional comment from Kodiak Firesmith on 2018-02-19 15:48:40 CET ---

Created 02038090 to try to get someone to field the issue.

--- Additional comment from Markus Koch on 2018-04-20 17:18:14 CEST ---

Guys, I had the same problem with Fedora 27.
Here is my patch that makes it readable:

*** gnome-classic.css	2018-04-20 14:58:12.105081356 +0200
--- gnome-classic.css_dist	2018-03-19 14:40:49.072505704 +0100
***************
*** 901,910 ****
    width: 31.5em; }
  
  .message-list-clear-button.button {
!   background-color: #b6b6b6;
    margin: 1.5em 1.5em 0; }
    .message-list-clear-button.button:hover, .message-list-clear-button.button:focus {
!     background-color: #929292; }
  
  .message-list-sections {
    spacing: 1em; }
--- 901,910 ----
    width: 31.5em; }
  
  .message-list-clear-button.button {
!   background-color: transparent;
    margin: 1.5em 1.5em 0; }
    .message-list-clear-button.button:hover, .message-list-clear-button.button:focus {
!     background-color: #fafafa; }
  
  .message-list-sections {
    spacing: 1em; }
***************
*** 1370,1381 ****
    margin: 5px;
    border-radius: 6px;
    color: #eeeeec;
!   background-color: #a1a1a1;
!   border: 1px solid #2e0000; }
    .notification-banner:hover {
!     background-color: #b6b6b6; }
    .notification-banner:focus {
!     background-color: #929292; }
    .notification-banner .notification-icon {
      padding: 5px; }
    .notification-banner .notification-content {
--- 1370,1381 ----
    margin: 5px;
    border-radius: 6px;
    color: #eeeeec;
!   background-color: #2e3436;
!   border: 1px solid #a1a1a1; }
    .notification-banner:hover {
!     background-color: #2e3436; }
    .notification-banner:focus {
!     background-color: #2e3436; }
    .notification-banner .notification-icon {
      padding: 5px; }
    .notification-banner .notification-content {

Best Regards
 Markus

--- Additional comment from Markus Koch on 2018-04-20 17:46:47 CEST ---

As the bug still exist in F27, can somebody please add the official fixes from here: https://gitlab.gnome.org/GNOME/gnome-shell-extensions/merge_requests/26

--- Additional comment from Fedora End Of Life on 2018-05-03 10:11:52 CEST ---

This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 1 Branislav Náter 2018-05-29 13:44:16 UTC
This is fixed for me with gnome-shell-3.28.2-1.fc28 on fedora 28.

Comment 2 Ben Cotton 2018-11-27 15:35:08 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 21:46:01 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.